"use strict";

(function () {
  var toArray = function toArray(pseudo) {
    return Array.prototype.slice.call(pseudo);
  };

  document.addEventListener('click', function (e) {
    var elem = e.target;

    if (toArray(elem.classList).indexOf('accordion-title') >= 0 && elem.getAttribute('data-accordion-id')) {
      if (elem.parentElement) {
        var container = elem.parentElement,
            accordionid = elem.getAttribute('data-accordion-id'),
            active = toArray(elem.classList).indexOf('active') >= 0;
        toArray(container.children).forEach(function (child) {
          if (child.getAttribute('data-accordion-id') === accordionid) {
            if (active) {
              child.classList.remove('active');
            } else {
              child.classList.add('active');
            }
          } else {
            if (Number(container.getAttribute('data-accordion-close-siblings')) && !active) {
              child.classList.remove('active');
            }
          }
        });
        e.preventDefault();
        e.stopPropagation();
      }
    }
  });
})();
//# sourceMappingURL=accordion.js.map
